aboutsummaryrefslogtreecommitdiffstats
path: root/bin/bundle
diff options
context:
space:
mode:
Diffstat (limited to 'bin/bundle')
-rwxr-xr-xbin/bundle31
1 files changed, 31 insertions, 0 deletions
diff --git a/bin/bundle b/bin/bundle
new file mode 100755
index 0000000000..cf03a523ab
--- /dev/null
+++ b/bin/bundle
@@ -0,0 +1,31 @@
+#!/usr/bin/env ruby
+# frozen_string_literal: true
+
+# Exit cleanly from an early interrupt
+Signal.trap("INT") do
+ Bundler.ui.debug("\n#{caller.join("\n")}") if defined?(Bundler)
+ exit 1
+end
+
+require "bundler"
+# Check if an older version of bundler is installed
+$LOAD_PATH.each do |path|
+ next unless path =~ %r{/bundler-0\.(\d+)} && $1.to_i < 9
+ err = String.new
+ err << "Looks like you have a version of bundler that's older than 0.9.\n"
+ err << "Please remove your old versions.\n"
+ err << "An easy way to do this is by running `gem cleanup bundler`."
+ abort(err)
+end
+
+require "bundler/friendly_errors"
+Bundler.with_friendly_errors do
+ require "bundler/cli"
+
+ # Allow any command to use --help flag to show help for that command
+ help_flags = %w(--help -h)
+ help_flag_used = ARGV.any? {|a| help_flags.include? a }
+ args = help_flag_used ? Bundler::CLI.reformatted_help_args(ARGV) : ARGV
+
+ Bundler::CLI.start(args, :debug => true)
+end